Bug 1121342 - Channels cloned as Original via API and WebUI comprise different set of packages.
Summary: Channels cloned as Original via API and WebUI comprise different set of packa...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 2.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space23
TreeView+ depends on / blocked
 
Reported: 2014-07-19 14:09 UTC by Dimitar Yordanov
Modified: 2015-04-14 19:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1117976
Environment:
Last Closed: 2015-04-14 19:02:40 UTC


Attachments (Terms of Use)

Description Dimitar Yordanov 2014-07-19 14:09:41 UTC
+++ This bug was initially created as a clone of Bug #1117976 +++

Description of problem:
Channels cloned as Original via API and WebUI comprise different set of packages.

Version-Release number of selected component (if applicable):
spacewalk-java-2.0.2-79.el5sat
spacewalk-html-2.0.3-20

How reproducible:
Always.

Steps to Reproduce:
1. Sync rhel-x86_64-server-6 to Satellite:
    satellite-sync -c rhel-x86_64-server-6

2. Clone the channel as Original via WebIU:
   Channels -> Manage Software Channels -> Clone Channel ->  rhel-x86_64-server-6(Original state of the channel (no errata))

3. Clone the channel as Original via API:
   client = xmlrpclib.Server(RHN_SERVER, verbose=0)
   key = client.auth.login(RHN_USER, RHN_PASS)
   details_map = { 'name':'clone_api_rhel-x86_64-server-6', 'label':'clone_api_rhel-x86_64-server-6', 'summary':'clone_api_rhel_x86_64-server-6' }
   client.channel.software.clone(auth, 'rhel-x86_64-server-6', details_map, True)
  

Actual results:
Cloned via WebUI: 3435 rpm
Cloen via API : 3441 rpm

Expected results:
Cloned via WebUI: 3441 rpm
Cloen via API : 3441 rpm

Additional info:

Missing packages:
dracut-004-335.el6.noarch.rpm
dracut-fips-004-335.el6.noarch.rpm
dracut-kernel-004-335.el6.noarch.rpm
dracut-network-004-335.el6.noarch.rpm
psacct-6.3.2-63.el6_1.1.x86_64.rpm
yum-rhn-plugin-0.9.1-48.el6.noarch.rpm

Comment 1 Dimitar Yordanov 2014-08-11 15:40:08 UTC
Fixed by SW: 36c939af22054df93a3ca2d3215a1732993ae704

Comment 2 Grant Gainey 2015-03-23 16:58:44 UTC
Moving bugs to ON_QA as we move to release Spacewalk 2.3

Comment 3 Grant Gainey 2015-04-14 19:02:40 UTC
Spacewalk 2.3 has been released. See

https://fedorahosted.org/spacewalk/wiki/ReleaseNotes23


Note You need to log in before you can comment on or make changes to this bug.